using System;

using System.Xml;
using System.Xml.Serialization;

namespace GBG.OGSA.OGSACommon.BES.JSDL
{
	[XmlType(Namespace=JSDLConstants.JSDL_NS)]
	[XmlRoot("OperatingSystemName", Namespace=JSDLConstants.JSDL_NS, IsNullable=false)]
	public enum OperatingSystemTypeEnumeration
	{
		Unknown,
		MACOS,
		ATTUNIX,
		DGUX,
		DECNT,
		Tru64_UNIX,
		OpenVMS,
		HPUX,
		AIX,
		MVS,
		OS400,
		OS_2,
		JavaVM,
		MSDOS,
		WIN3x,
		WIN95,
		WIN98,
		WINNT,
		WINCE,
		NCR3000,
		NetWare,
		OSF,
		DC_OS,
		Reliant_UNIX,
		SCO_UnixWare,
		SCO_OpenServer,
		Sequent,
		IRIX,
		Solaris,
		SunOS,
		U6000,
		ASERIES,
		TandemNSK,
		TandemNT,
		BS2000,
		LINUX,
		Lynx,
		XENIX,
		VM,
		Interactive_UNIX,
		BSDUNIX,
		FreeBSD,
		NetBSD,
		GNU_Hurd,
		OS9,
		MACH_Kernel,
		Inferno,
		QNX,
		EPOC,
		IxWorks,
		VxWorks,
		MiNT,
		BeOS,
		HP_MPE,
		NextStep,
		PalmPilot,
		Rhapsody,
		Windows_2000,
		Dedicated,
		OS_390,
		VSE,
		TPF,
		Windows_R_Me,
		Caldera_Open_UNIX,
		OpenBSD,
		Not_Applicable,
		Windows_XP,
		z_OS,
		other
	}
}